
Figure - Bug #118499
【IOVDEV-32488】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【手势】屏保状态下，双指点击
屏幕，低概率（4/19次）会解除屏保
2023-06-03 18:14 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-03

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0106.C104��【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-07

Test Type: ST Root cause: 编码问题

Description

【环境信息】：EE环境

【问题出现时间】：20230603 14:45，第199次开机

【前提条件】：

【操作步骤】：屏保状态下，单或双指点击屏幕

【实际结果】：测试19次，4次解除屏保

【期望结果】：只有底部上滑操作可以解除屏保

【备注】：https://ofs.human-horizons.com/#/download/index/FJZM9LWdKEA%3D

https://ofs.human-horizons.com/#/download/index/MbVxXUOzmZs%3D

【硬件版本号】：/

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-06-03 18:15 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118499

#2 - 2023-06-05 11:28 - CD TEST-方永红

- File 1685935652715.zip added

#3 - 2023-06-06 14:02 - CD APP-王营

【状态】

问题已修复，待验证

【分析】

1、之前方案通过按下和抬起判断，当抬起坐标高于按下坐标时候，在touch事件中也识别为上滑东西。

2、当前修改了手势方案，通过Gesture类的onFling 来判断 是否为上滑动作，为防止误触，添加一个滑动距离判断，当上滑超过40px时候会执行唤醒操作

。

【提交】
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/205003

#4 - 2023-06-06 14:02 - CD APP-王营

- % Done changed from 0 to 100

#5 - 2023-06-06 14:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205003 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Optimize gesture up to exit screensaverTC-RID: 0301-0300601IssueID: TS-R-BUG-118499Change-Id:

If5ac32ac0547fcf00a83f4be812b45b3872b32ec

#6 - 2023-06-06 14:26 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-07

- Root cause set to 编码问题

#7 - 2023-06-06 18:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205142 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Optimize gesture up to exit screensaver1.Fix compile error.TC-RID: 0301-0300601IssueID: TS-R-BUG-118499Change-Id:

I477567f108b03711c38cd1beb7556fe4fba2deee

#8 - 2023-06-08 14:56 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306080125版本上复测50次未复现

#9 - 2023-06-08 19:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

屏保下点击屏幕145154.mp4 11 MB 2023-06-03 CDTS_Test 吴诗雨

1685935652715.zip 7.95 MB 2023-06-05 CD TEST-方永红
